# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::ObjTexture Class Reference

Represents a Wavefront OBJ texture. See also ObjMaterial and ObjLoader. More...

`#include <vlOBJ.hpp>`

List of all members.

## Public Member Functions
| ObjTexture ()
const ObjTexture & | parseLine (const String &line, const String &file)
bool | valid () const
void | print ()
| Prints the content of the material. Used for debugging purposes.
const String & | path () const
| Texture file name.
bool | blendU () const
| -blendu on | off
bool | blendV () const
| -blendv on | off
bool | cc () const
| -cc on | off
bool | clamp () const
| -clamp on | off
float | mm_Base () const
| -mm base gain
float | mm_Gain () const
| -mm base gain
const fvec3 & | o_UVW () const
| -o u v w
const fvec3 & | s_UVW () const
| -s u v w
const fvec3 & | t_UVW () const
| -t u v w
float | texres_Value () const
| -texres value
char | imfchan () const
| -imfchan r | g | b | m | l | z
float | bm () const
| -bm mult
void | setPath (const String &filename)
| Texture file name.
void | setBlendU (bool on)
| -blendu on | off
void | setBlendV (bool on)
| -blendv on | off
void | setCC (bool on)
| -cc on | off
void | setClamp (bool on)
| -clamp on | off
void | setMM_Base (float base)
| -mm base gain
void | setMM_Gain (float gain)
| -mm base gain
void | setO_UVW (const fvec3 &o_uvw)
| -o u v w
void | setS_UVW (const fvec3 &s_uvw)
| -s u v w
void | setT_UVW (const fvec3 &t_uvw)
| -t u v w
void | setTexres_Value (float value)
| -texres value
void | setImfchan (char val)
| -imfchan r | g | b | m | l | z
void | setBM (float bm)
| -bm mult
## Protected Attributes
String | mFileName
| Texture file name.
bool | mBlendU
| -blendu on | off
bool | mBlendV
| -blendv on | off
bool | mCC
| -cc on | off
bool | mClamp
| -clamp on | off
float | mMM_Base
| -mm base gain
float | mMM_Gain
| -mm base gain
fvec3 | mO_UVW
| -o u v w
fvec3 | mS_UVW
| -s u v w
fvec3 | mT_UVW
| -t u v w
float | mTexres_Value
| -texres value
char | mImfchan
| -imfchan r | g | b | m | l | z
float | mBM
| -bm mult

## Detailed Description

Represents a Wavefront OBJ texture. See also ObjMaterial and ObjLoader.

## Constructor & Destructor Documentation

ObjTexture::ObjTexture | ( |  | ) |

## Member Function Documentation

const ObjTexture & ObjTexture::parseLine | ( | const String & | line,
|  | const String & | file |
| ) |  |  |

bool vl::ObjTexture::valid | ( |  | ) | const`[inline]`

void ObjTexture::print | ( |  | ) |

Prints the content of the material. Used for debugging purposes.

const String& vl::ObjTexture::path | ( |  | ) | const`[inline]`

Texture file name.

bool vl::ObjTexture::blendU | ( |  | ) | const`[inline]`

-blendu on | off

bool vl::ObjTexture::blendV | ( |  | ) | const`[inline]`

-blendv on | off

bool vl::ObjTexture::cc | ( |  | ) | const`[inline]`

-cc on | off

bool vl::ObjTexture::clamp | ( |  | ) | const`[inline]`

-clamp on | off

float vl::ObjTexture::mm_Base | ( |  | ) | const`[inline]`

-mm base gain

float vl::ObjTexture::mm_Gain | ( |  | ) | const`[inline]`

-mm base gain

const fvec3& vl::ObjTexture::o_UVW | ( |  | ) | const`[inline]`

-o u v w

const fvec3& vl::ObjTexture::s_UVW | ( |  | ) | const`[inline]`

-s u v w

const fvec3& vl::ObjTexture::t_UVW | ( |  | ) | const`[inline]`

-t u v w

float vl::ObjTexture::texres_Value | ( |  | ) | const`[inline]`

-texres value

char vl::ObjTexture::imfchan | ( |  | ) | const`[inline]`

-imfchan r | g | b | m | l | z

float vl::ObjTexture::bm | ( |  | ) | const`[inline]`

-bm mult

void vl::ObjTexture::setPath | ( | const String & | filename | ) | `[inline]`

Texture file name.

void vl::ObjTexture::setBlendU | ( | bool | on | ) | `[inline]`

-blendu on | off

void vl::ObjTexture::setBlendV | ( | bool | on | ) | `[inline]`

-blendv on | off

void vl::ObjTexture::setCC | ( | bool | on | ) | `[inline]`

-cc on | off

void vl::ObjTexture::setClamp | ( | bool | on | ) | `[inline]`

-clamp on | off

void vl::ObjTexture::setMM_Base | ( | float | base | ) | `[inline]`

-mm base gain

void vl::ObjTexture::setMM_Gain | ( | float | gain | ) | `[inline]`

-mm base gain

void vl::ObjTexture::setO_UVW | ( | const fvec3 & | o_uvw | ) | `[inline]`

-o u v w

void vl::ObjTexture::setS_UVW | ( | const fvec3 & | s_uvw | ) | `[inline]`

-s u v w

void vl::ObjTexture::setT_UVW | ( | const fvec3 & | t_uvw | ) | `[inline]`

-t u v w

void vl::ObjTexture::setTexres_Value | ( | float | value | ) | `[inline]`

-texres value

void vl::ObjTexture::setImfchan | ( | char | val | ) | `[inline]`

-imfchan r | g | b | m | l | z

void vl::ObjTexture::setBM | ( | float | bm | ) | `[inline]`

-bm mult

## Member Data Documentation

String vl::ObjTexture::mFileName`[protected]`

Texture file name.

bool vl::ObjTexture::mBlendU`[protected]`

-blendu on | off

bool vl::ObjTexture::mBlendV`[protected]`

-blendv on | off

bool vl::ObjTexture::mCC`[protected]`

-cc on | off

bool vl::ObjTexture::mClamp`[protected]`

-clamp on | off

float vl::ObjTexture::mMM_Base`[protected]`

-mm base gain

float vl::ObjTexture::mMM_Gain`[protected]`

-mm base gain

fvec3 vl::ObjTexture::mO_UVW`[protected]`

-o u v w

fvec3 vl::ObjTexture::mS_UVW`[protected]`

-s u v w

fvec3 vl::ObjTexture::mT_UVW`[protected]`

-t u v w

float vl::ObjTexture::mTexres_Value`[protected]`

-texres value

char vl::ObjTexture::mImfchan`[protected]`

-imfchan r | g | b | m | l | z

float vl::ObjTexture::mBM`[protected]`

-bm mult

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlOBJ.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlOBJ.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:12 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.